//***************************************************************************
//
// BITSET.CPP
// by Harlen C. Batagelo
//
//***************************************************************************

#include <string.h>

#include "bitset.h"

/////////////////////////////////////////////////////////////////////////////
// Constructor - initializes a set of n bits
/////////////////////////////////////////////////////////////////////////////
BitSet::BitSet (size_t n) 
{ 
	t_size_b = sizeof (TYPE);
	t_size = t_size_b * 8;
	t_size_mo = t_size - 1;
	n_bytes = (size_t)((float)(n / t_size)) + 1;
	bset = new TYPE [n_bytes]; 

	reset ();
} // BitSet::BitSet

/////////////////////////////////////////////////////////////////////////////
// Destructor
/////////////////////////////////////////////////////////////////////////////
BitSet::~BitSet (void) 
{ 
	delete []bset; 
} // BitSet::~BitSet