//***************************************************************************
//
// VERTEX2D.H
// by Harlen C. Batagelo
//
//***************************************************************************

#ifndef _VERTEX2D_H
#define _VERTEX2D_H

#if !defined(WIN32)
enum BOOL { FALSE = 0, TRUE };
#endif

/////////////////////////////////////////////////////////////////////////////
// Define a 2D vertex.
/////////////////////////////////////////////////////////////////////////////
class Vertex2D
{
private:
	float x, y;

public:
	Vertex2D (void) { x = y = 0; }
	Vertex2D (float _x, float _y) { SetXY (_x, _y); }

	void SetXY (float _x, float _y) { x = _x; y = _y; }
	inline float GetX (void) { return x; }
	inline float GetY (void) { return y; }
};

#endif